import type { DCloneHTMLElement, DSize } from '../../utils/types';
import type { DFormControl } from '../form';
import React from 'react';
export interface DSelectboxProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    children: (props: {
        renderPopup: DCloneHTMLElement;
    }) => JSX.Element | null;
    dRef: {
        box: React.ForwardedRef<HTMLDivElement>;
        input: React.ForwardedRef<HTMLInputElement> | undefined;
    };
    dClassNamePrefix: string;
    dFormControl: DFormControl | undefined;
    dVisible: boolean;
    dContent: React.ReactNode | undefined;
    dContentTitle: string | undefined;
    dPlaceholder: string | undefined;
    dSuffix: React.ReactNode | undefined;
    dSize: DSize | undefined;
    dLoading: boolean;
    dSearchable: boolean;
    dClearable: boolean;
    dDisabled: boolean;
    dUpdatePosition: {
        fn: () => void;
        popupRef: React.RefObject<HTMLElement>;
        extraScrollRefs: (React.RefObject<HTMLElement> | undefined)[];
    };
    dInputRender: DCloneHTMLElement<React.InputHTMLAttributes<HTMLInputElement>>;
    onFocusVisibleChange: (visible: boolean) => void;
    onClear: () => void;
}
export declare function DSelectbox(props: DSelectboxProps): JSX.Element | null;
