var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { getClassName } from '@react-devui/utils';
import { registerComponentMate } from '../../utils';
import { useComponentConfig, usePrefixConfig } from '../root';
import { DSeparator } from '../separator';
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DCard.Actions' });
export function DCardActions(props) {
    const _a = useComponentConfig(COMPONENT_NAME, props), { dActions } = _a, restProps = __rest(_a, ["dActions"]);
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    return (_jsx("div", Object.assign({}, restProps, { className: getClassName(restProps.className, `${dPrefix}card__actions`) }, { children: React.Children.map(dActions, (action, index) => (_jsxs(_Fragment, { children: [action, index !== dActions.length - 1 && _jsx(DSeparator, { style: { margin: 8 }, dVertical: true })] }))) })));
}
