import type { DId } from '../../utils/types';
import type { TreeNodeStatus, TreeOrigin } from './abstract-node';
import { AbstractTreeNode } from './abstract-node';
export declare class MultipleTreeNode<ID extends DId, T extends TreeOrigin> extends AbstractTreeNode<ID, T> {
    private getId;
    private opts;
    children?: MultipleTreeNode<ID, T>[];
    protected _id: ID;
    protected _status: TreeNodeStatus;
    protected _disabled: boolean;
    constructor(origin: T, getId: (origin: T) => ID, opts: {
        disabled?: boolean;
    });
    changeStatus(status: TreeNodeStatus, checkeds: Set<ID>): Set<ID>;
    protected _calculateStatus(checkeds: Set<ID>): void;
    protected _changeStatus(status: TreeNodeStatus, initValue: Set<ID>): Set<ID>;
    private _setUpChildren;
}
